<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.modeladmin');

/**
 * Class CAdvancedSlideshowModelSlide
 *
 * @since 1.0
 */
class CAdvancedSlideshowModelSlide extends JModelAdmin
{
	/**
	 * Gets the table
	 *
	 * @param   string  $name     - The name
	 * @param   string  $prefix   - The prefix
	 * @param   array   $options  - The options
	 *
	 * @return JTable|mixed
	 */
	public function getTable($name = 'Slides', $prefix = 'cadvancedslideshowTable', $options = array())
	{
		return JTable::getInstance($name, $prefix, $options);
	}

	/**
	 * Gets the form
	 *
	 * @param   array  $data  - The data
	 * @param   bool   $load  - The load
	 *
	 * @return  mixed
	 */
	public function getForm($data = array(), $load = true)
	{
		$form = $this->loadForm('com_cadvancedslideshow.slide', 'slide', array('control' => 'jform', 'load_data' => $load));

		return $form;
	}

	/**
	 * Loads the form data
	 *
	 * @return array|mixed
	 */
	public function loadFormData()
	{
		$data = JFactory::getApplication()->getUserState('com_cadvancedslideshow.edit.slide.data', array());

		if (empty($data))
		{
			$data = $this->getItem();
		}

		return $data;
	}
}
