<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

/**
 * Class CAdvancedSlideshowViewSlides
 *
 * @since  1.0
 */
class CAdvancedSlideshowViewSlides extends JViewLegacy
{
	protected $items;

	protected $pagination;

	protected $state;

	/**
	 * Displays the slide
	 *
	 * @param   string  $tpl  - The template
	 *
	 * @return mixed|void
	 */
	public function display($tpl = null)
	{
		$this->state = $this->get('State');
		$this->items = $this->get('Items');
		$this->pagination = $this->get('Pagination');

		$this->addToolbar();
		parent::display($tpl);
	}

	/**
	 * Adds the commands to the toolbar
	 *
	 * @return  void
	 */

	public function addToolbar()
	{
		JToolBarHelper::title(JText::sprintf('COM_CADVANCEDSLIDESHOW_SLIDES', 'slides'));
		JToolbarHelper::addNew('slide.add');
		JToolBarHelper::editList('slide.edit');
		JToolbarHelper::deleteList('slide.delete');
	}
}