<?php
/**
 * @package    CAdvancedSlideshow
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       20.09.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */

defined('_JEXEC') or die;

jimport('joomla.application.component.model');

// Debug constant
if (!defined("CDEBUG"))
{
	define("CDEBUG", false);
}

JTable::addIncludePath(JPATH_ADMINISTRATOR . '/components/com_cadvancedslideshow/tables');

JLoader::register('CAdvancedSlideshowHelperBasic', JPATH_ADMINISTRATOR . '/components/com_cadvancedslideshow/helpers/basic.php');

require_once dirname(__FILE__) . '/helper.php';

// Load Basic css and JS
JHTML::_('stylesheet', 'media/mod_cadvancedslideshow/css/basic.css');

$doc = JDocument::getInstance();
$title = $doc->getTitle();

// Module class
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
?>
<!-- START CAdvancedSlideshow by compojoom.com  -->
<div class="cadvancedslideshowgroup<?php echo $moduleclass_sfx ?>">
	<?php
	// Params for individual module template
	if ($params->get('template', 'default') == 'simple')
	{
		include JModuleHelper::getLayoutPath('mod_cadvancedslideshow', 'simple');
	}
	elseif ($params->get('template', 'default') == 'cycle2')
	{
		include JModuleHelper::getLayoutPath('mod_cadvancedslideshow', 'cycle2');
	}
	elseif ($params->get('template', 'default') == 'compojoom')
	{
		include JModuleHelper::getLayoutPath('mod_cadvancedslideshow', 'compojoom');
	}
	elseif ($params->get('template', 'default') == 'subtitle')
	{
		include JModuleHelper::getLayoutPath('mod_cadvancedslideshow', 'subtitle');
	}
	else
	{
		// Fall back to default template
		include JModuleHelper::getLayoutPath('mod_cadvancedslideshow', 'default');
	}
?>
</div>
<!-- END CAdvancedSlideshow by compojoom.com  -->